Bug 184224 - DRI freezes entire laptop when using dri on ATI mobility radeon 9600 M10.
DRI freezes entire laptop when using dri on ATI mobility radeon 9600 M10.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
dri xorg freeze ati nw8000 mobility r...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-07 09:53 EST by Mauri Korkeala
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 11:59:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (35.23 KB, text/plain)
2006-03-07 09:55 EST, Mauri Korkeala
no flags Details
output of command lspci (1.82 KB, text/plain)
2006-03-07 09:56 EST, Mauri Korkeala
no flags Details

  None (edit)
Description Mauri Korkeala 2006-03-07 09:53:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
After fresh installation of FC5test3 the login screen appeared normally, but entire computer freezed when I logged in on HP nw8000 laptop using ATI mobility radeon 9600 M10. 

I booted to run-level 3 and did 'yum update', which updated lots of packages, including kernel and xorg.

The problem still persisted, except now even the login screen is blank and the laptop doesn't respond. Even the 'system-config-display --reconfig' crashes. 

After editing the xorg configuration file and removing the DRI -option, the system seems stable. 

The system was previously running FC3 succesfully. 

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.5.7.3-4

How reproducible:
Always

Steps to Reproduce:
1.Install FC5test3
2.yum update (optional)
3.boot (or login)
  

Actual Results:  Whole system freezed, including network interfaces.

Expected Results:  Succesful login to desktop.

Additional info:

At first there was no information on Xorg logs, but after the update I found following at the end of /var/log/Xorg.0.log

(WW) RADEON(0): Enabling DRM support

        *** Direct rendering support is highly experimental for Radeon 9500
        *** and newer cards. The 3d mesa driver is not provided in this tree.
        *** A very experimental (and incomplete) version is available from Mesa
CVS.
        *** Additional information can be found on http://r300.sourceforge.net
        *** This message has been last modified on 2005-08-07.

drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: Open failed
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: Open failed
Comment 1 Mauri Korkeala 2006-03-07 09:55:14 EST
Created attachment 125755 [details]
Xorg log

Xorg file after the xorg server had crashed.
Comment 2 Mauri Korkeala 2006-03-07 09:56:27 EST
Created attachment 125756 [details]
output of command lspci
Comment 4 Mike A. Harris 2006-03-08 06:41:47 EST
Oops, removing comment #3, as I pasted it into the wrong bug tab.
Comment 5 Mike A. Harris 2006-06-14 11:59:35 EDT
This problem is believed to be fixed in rawhide, which contains X.Org X11R7.1.
The new release contains patches from Ben Herrenschmidt which should
resolve issues similar to what is reported here.  After updating to X11R7.1
however, if you still experience any problems, file a bug report in X.Org
bugzilla at http://bugs.freedesktop.org with full details and once a fix
has been made available from X.Org, we will review it for consideration
in future updates.




Note You need to log in before you can comment on or make changes to this bug.